using System;
using System.Runtime.InteropServices;

// ReSharper disable InconsistentNaming

namespace Katteker
{
    /// <summary>
    ///     Native methods.
    /// </summary>
    internal static class NativeMethods
    {
        /// <summary>
        ///     Hit Test Caption
        /// </summary>
        internal const int HTCAPTION = 0x2;

        /// <summary>
        ///     Posted when the user presses the left mouse button while the cursor is within the nonclient area of a window.
        /// </summary>
        internal const int WM_NCLBUTTONDOWN = 0xA1;

        /// <summary>
        ///     Release the capture
        /// </summary>
        [DllImport("User32.dll")]
        internal static extern bool ReleaseCapture();

        /// <summary>
        ///     Send message
        /// </summary>
        [DllImport("User32.dll")]
        internal static extern int SendMessage(IntPtr hWnd, int Msg, int wParam, int lParam);

        /// <summary>
        ///     Set Process API aware
        /// </summary>
        [DllImport("User32.dll")]
        internal static extern bool SetProcessDPIAware();
    }
}